> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/get-started-with-calypso-api/errors.md).

# Errors

The format of error messages:

```json
{
    "errorCode": "000",
    "message": "Internal server error"
}
```

The Calypso API uses the following error codes:

| errorCode | Message                                               | Comment                                                                                |
| --------- | ----------------------------------------------------- | -------------------------------------------------------------------------------------- |
| 000       | Internal server error                                 | Error on system side. Please contact the support.                                      |
| 001       | Bad request                                           | Incorrect input data.                                                                  |
| 002       | Invalid api key                                       | Invalid public api key in request.                                                     |
| 003       | Wrong sign                                            | Sign transmitted in request is built incorrectly.                                      |
| 004       | Requested object is not found                         |                                                                                        |
| 006       | Invoice is in incorrect state for operation           |                                                                                        |
| 011       | Invalid timestamp parameter                           |                                                                                        |
| 012       | Invalid Payout state                                  |                                                                                        |
| 014       | Invalid hot wallet currency                           |                                                                                        |
| 015       | Currency does not match wallet blockchain             |                                                                                        |
| 016       | IdempotencyKey {idemmpotencyKeyUUID} already exists   | In the payout creation request already used uuid for idempotency key is transmitted    |
| 016       | Can not create deal. Validation failed                | Validation error in payout creation. One or more request parameters were not validated |
| 018       | Event types or service types must not be empty        |                                                                                        |
| 019       | Duplicate was found by requestId                      | Such requestId already used.                                                           |
| 020       | Not found subscription by requestId                   |                                                                                        |
| 021       | RequestId must not be null                            |                                                                                        |
| 022       | Subscription not belongs to current user              |                                                                                        |
| 024       | Quantity limit exceeded by mass deal                  |                                                                                        |
| 026       | Can not create invoice                                | Business error in input data                                                           |
| 027       | Can not find invoice                                  |                                                                                        |
| 029       | Can not archive invoice                               | Invoice is not in correct state                                                        |
| 031       | Filling in the field is superfluous                   | Length of value exceeded the limit                                                     |
| 032       | Filling in the field is required                      |                                                                                        |
| 035       | Wrong expiration                                      |                                                                                        |
| 036       | Can't create deal                                     | Business error in input data                                                           |
| 037       | Client with this name already exists                  |                                                                                        |
| 038       | Payout doesn't exist                                  |                                                                                        |
| 041       | Can not cancel payout in not correct state            |                                                                                        |
| 042       | DealWithdrawal doesn't exist                          | Transaction in mass payout doesn't exist                                               |
| 043       | Client was not found                                  |                                                                                        |
| 044       | Unsupported currency                                  |                                                                                        |
| 054       | Invoice with this idempotencyKey already exists       |                                                                                        |
| 056       | Recurrent was not found                               |                                                                                        |
| 057       | Recurrent not belongs user                            |                                                                                        |
| 058       | Recurrent already deleted                             |                                                                                        |
| 059       | Can not create Recurrent. Validation failed           |                                                                                        |
| 060       | Can not create Recurrent. Currency is unavailable     |                                                                                        |
| 061       | Deposit address doesn't belong to your company        |                                                                                        |
| 062       | Wrong deposit address blockchain                      | Address is not in correct format for selected blockchain.                              |
| 063       | Currency {currency} not found for the current account | You don't have a wallet with corresponding currency on this account                    |
| 400       | Bad request                                           | Some or all of the data sent in the request does not match the format.                 |
| 500       | Internal server error                                 | Error on system side. Please contact the support.                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/get-started-with-calypso-api/errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
